Bug 248110 - games/ltris: Update to 1.2 and take MAINTAINERship
Summary: games/ltris: Update to 1.2 and take MAINTAINERship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://sourceforge.net/projects/lgam...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-19 17:34 UTC by Marcel Bischoff
Modified: 2020-07-22 15:16 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.29 KB, patch)
2020-07-19 17:34 UTC, Marcel Bischoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-19 17:34:04 UTC
Created attachment 216579 [details]
Patch

This patch updates the port to the latest upstream version and adopts it.
Comment 1 Automation User 2020-07-19 21:00:19 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168311924
Comment 2 Fernando Apesteguía freebsd_committer 2020-07-22 05:22:55 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 3 Marcel Bischoff 2020-07-22 07:15:58 UTC
There is almost nothing in the Porter's Handbook about what you suggest. Please elaborate. Do you mean adding "PORTDOCS= README.* ChangeLog docs/*" to the Makefile or just adding a URL to this Bugzilla entry? For good measure I have done the latter, although it should be self-explanatory from pkg-descr where to look.
Comment 4 Fernando Apesteguía freebsd_committer 2020-07-22 07:32:40 UTC
(In reply to Marcel Bischoff from comment #3)

You did great Marcel, thanks (for this and the other PRs you just updated). It helps committers to have an URL to look at for changes and decide the impact of the change, if it needs to be MFHed, etc.
Comment 5 Marcel Bischoff 2020-07-22 07:59:36 UTC
I see, so it's basically a Quality-of-Life addition for the committers/reviewers. Happy to add it from now on. :)
Comment 6 commit-hook freebsd_committer 2020-07-22 15:16:00 UTC
A commit references this bug:

Author: fernape
Date: Wed Jul 22 15:15:41 UTC 2020
New revision: 542863
URL: https://svnweb.freebsd.org/changeset/ports/542863

Log:
  games/ltris: Update to 1.2 and take MAINTAINERship

  From ChangeLog: https://sourceforge.net/projects/lgames/files/ltris/

   * added classic game style: (2020/06/28 MS)
     no wall-kicks, random pieces, no shadow piece, ...
   * added auto-delay shift (das) and are (entry delay)
   * menu simplified
   * code cleanups
   * statistics for single player mode
   * fixed compiler warnings

  Submitter requests MAINTAINERship.

  PR:	248110
  Submitted by:	marcel@herrbischoff.com

Changes:
  head/games/ltris/Makefile
  head/games/ltris/distinfo
  head/games/ltris/pkg-plist
Comment 7 Fernando Apesteguía freebsd_committer 2020-07-22 15:16:22 UTC
Committed,

Thanks!